Bug 1274168 - python-alembic broken, missing dependency
python-alembic broken, missing dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-alembic (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 03:47 EDT by Pierre-YvesChibon
Modified: 2015-12-15 02:58 EST (History)
2 users (show)

See Also:
Fixed In Version: python-alembic-0.8.3-3.fc23 python-alembic-0.8.3-3.fc22 python-alembic-0.8.3-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:45:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2015-10-22 03:47:30 EDT
$ alembic current
Traceback (most recent call last):
  File "/usr/bin/alembic", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2709, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 664, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 567, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: python-editor>=0.3


So it looks like it's missing a new dependency.

$ rpm -q python-alembic
python-alembic-0.8.3-1.fc21.noarch
Comment 1 Ralph Bean 2015-10-22 07:33:07 EDT
Looks like it isn't planned for f21:  https://bugzilla.redhat.com/show_bug.cgi?id=1256353

But it's also not available on F22 or F23 (no bodhi updates).
Comment 2 Fedora End Of Life 2015-11-04 05:04:07 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Tim Flink 2015-11-24 12:40:02 EST
This seems to be affecting epel7 as well, not just fedora. I'm getting pretty much the same traceback on an el7 box that has python-alembic-0.8.3-1 installed
Comment 4 Fedora Update System 2015-11-24 12:53:26 EST
python-editor-0.4-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e662b9cd9a
Comment 5 Fedora Update System 2015-11-24 12:53:39 EST
python-editor-0.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ffa3adda
Comment 6 Fedora Update System 2015-11-24 12:54:00 EST
python-editor-0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9b2a9f807c
Comment 7 Fedora Update System 2015-11-25 19:53:56 EST
python-alembic-0.8.3-3.el7, python-editor-0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9b2a9f807c
Comment 8 Fedora Update System 2015-11-25 21:26:01 EST
python-alembic-0.8.3-3.fc22, python-editor-0.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e662b9cd9a
Comment 9 Fedora Update System 2015-11-25 21:54:56 EST
python-alembic-0.8.3-3.fc23, python-editor-0.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ffa3adda
Comment 10 Fedora End Of Life 2015-12-02 10:45:12 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Fedora Update System 2015-12-04 14:20:14 EST
python-alembic-0.8.3-3.fc23, python-editor-0.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-04 16:20:49 EST
python-alembic-0.8.3-3.fc22, python-editor-0.4-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-15 02:58:14 EST
python-alembic-0.8.3-3.el7, python-editor-0.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.